// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError   = status.Error(10001, "系统错误")
	ServiceError  = status.Error(10002, "内部服务错误")
	ParamsError   = status.Error(10003, "参数错误")
	DataBaseError = status.Error(10004, "数据库错误")
	NoRecordError = status.Error(10005, "查无记录")

	//
	UserPassError = status.Error(20001, "用户密码错误")
	UserNotExistError = status.Error(20002, "用户不存在")
	UserExistError = status.Error(20003, "用户已存在")

	ProjectExistError = status.Error(20004, "项目已存在")
	ProjectNotExistError = status.Error(20005, "项目不存在")

	DeviceExistError = status.Error(20006, "设备已存在")
	DeviceNotExistError = status.Error(20007, "设备不存在")

	ProjectNotMatchError = status.Error(20008, "项目不匹配")

	StaffExistError = status.Error(20009, "员工已存在")
	StaffNotExistError = status.Error(20010, "员工不存在")

	AlarmExistError = status.Error(20011, "告警配置已存在")
	AlarmNotExistError = status.Error(20012, "告警配置不存在")
)
